summaryrefslogtreecommitdiff
path: root/test/common.sh.in
diff options
context:
space:
mode:
authorErik de Castro Lopo <erikd@mega-nerd.com>2013-09-16 19:55:11 +1000
committerErik de Castro Lopo <erikd@mega-nerd.com>2013-09-17 06:14:57 +1000
commita9712a2279f6d1a7b4902170b0b1795fff19d00d (patch)
tree36723d71d79d96cf61a9d580fc283ae4aacf8c8d /test/common.sh.in
parent1d3d50a9185462b1ec25f1902ccfba9c589f2a65 (diff)
downloadflac-a9712a2279f6d1a7b4902170b0b1795fff19d00d.tar.gz
Factor out common test functionality to test/common.sh.in.
Diffstat (limited to 'test/common.sh.in')
-rw-r--r--test/common.sh.in69
1 files changed, 69 insertions, 0 deletions
diff --git a/test/common.sh.in b/test/common.sh.in
new file mode 100644
index 00000000..6955c2af
--- /dev/null
+++ b/test/common.sh.in
@@ -0,0 +1,69 @@
+# FLAC - Free Lossless Audio Codec
+# Copyright (C) 2001-2009 Josh Coalson
+# Copyright (C) 2011-2013 Xiph.Org Foundation
+#
+# This file is part the FLAC project. FLAC is comprised of several
+# components distributed under different licenses. The codec libraries
+# are distributed under Xiph.Org's BSD-like license (see the file
+# COPYING.Xiph in this distribution). All other programs, libraries, and
+# plugins are distributed under the GPL (see COPYING.GPL). The documentation
+# is distributed under the Gnu FDL (see COPYING.FDL). Each file in the
+# FLAC distribution contains at the top the terms under which it may be
+# distributed.
+#
+# Since this particular file is relevant to all components of FLAC,
+# it may be distributed under the Xiph.Org license, which is the least
+# restrictive of those mentioned above. See the file COPYING.Xiph in this
+# distribution.
+
+export MALLOC_CHECK_=3
+export MALLOC_PERTURB_=$((RANDOM % 255 + 1))
+
+if [ x = x"$1" ] ; then
+ BUILD=debug
+else
+ BUILD="$1"
+fi
+
+LD_LIBRARY_PATH=../objs/$BUILD/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../objs/$BUILD/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../src/libFLAC/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../src/share/getopt/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../src/share/grabbag/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../src/share/replaygain_analysis/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../src/share/replaygain_synthesis/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=`pwd`/../src/share/utf8/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC++/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/share/getopt/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/share/grabbag/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/share/replaygain_analysis/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/share/replaygain_synthesis/.libs:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/share/utf8/.libs:$LD_LIBRARY_PATH
+
+export LD_LIBRARY_PATH
+
+EXE=@EXEEXT@
+
+# change to 'false' to show all flac/metaflac output (useful for debugging)
+if true ; then
+ SILENT='--silent'
+ TOTALLY_SILENT='--totally-silent'
+else
+ SILENT=''
+ TOTALLY_SILENT=''
+fi
+
+# Functions
+
+function die {
+ echo $* 1>&2
+ exit 1
+}
+
+function make_streams {
+ echo "Generating streams..."
+ if [ ! -f wacky1.wav ] ; then
+ test_streams${EXE} || die "ERROR during test_streams"
+ fi
+}